[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

gEDA-cvs: branch: master updated (1.0-20070526-72-g8aedd14)



The branch, master has been updated
       via  8aedd14c203b556f81cd9e29706e37cc89213177 (commit)
       via  4d88805294a462674103a6b1a41aab153e08310a (commit)
      from  b44a1e527497e55471a75b0af410e78310ed50d8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


=========
 Summary
=========

 gattrib/configure.ac |   17 +++++-------
 update-versions.sh   |   72 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+), 10 deletions(-)
 create mode 100755 update-versions.sh


=================
 Commit Messages
=================

commit 8aedd14c203b556f81cd9e29706e37cc89213177
Author: Ales Hvezda <ahvezda@xxxxxxxx>
Date:   Tue Jun 26 23:09:07 2007 -0400

    Added script to help update all the version strings and dates.

:000000 100755 0000000... 21ffa51... A	update-versions.sh

commit 4d88805294a462674103a6b1a41aab153e08310a
Author: Ales Hvezda <ahvezda@xxxxxxxx>
Date:   Tue Jun 26 23:01:55 2007 -0400

    Updated gattrib's configure script to use standard gEDA/gaf VERSION= practices.

:100644 100644 6d373c2... 9d56cd5... M	gattrib/configure.ac

=========
 Changes
=========

commit 8aedd14c203b556f81cd9e29706e37cc89213177
Author: Ales Hvezda <ahvezda@xxxxxxxx>
Date:   Tue Jun 26 23:09:07 2007 -0400

    Added script to help update all the version strings and dates.

diff --git a/update-versions.sh b/update-versions.sh
new file mode 100755
index 0000000..21ffa51
--- /dev/null
+++ b/update-versions.sh
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+usage()
+{
+	echo usage: $0 dotted_version date libgeda_sharedlib_version
+	echo Exmaple:
+	echo "   $0 1.0.1 20070626 29:1:0"
+}
+
+new_dottedversion=$1
+new_date=$2
+new_sharedlibversion=$3 
+if [ "$new_dottedversion" = "" ]
+then
+	echo Missing dotted version
+	echo ""
+	usage
+	exit 1
+fi
+
+if [ "$new_date" = "" ]
+then
+	echo Missing date 
+	echo ""
+	usage
+	exit 1
+fi
+
+if [ "$new_sharedlibversion" = "" ]
+then
+	echo Missing libgeda shared library version
+	echo ""
+	usage
+	exit 1
+fi
+
+
+old_dottedversion=`cat libgeda/include/defines.h | \
+	grep "#define PREPEND_VERSION_STRING" | awk '{print $3}'`
+
+old_date=`grep ^VERSION= libgeda/configure.ac | \
+	awk -F= '{print $2}'`
+
+old_sharedlibversion=`grep ^SHARED_LIBRARY_VERSION libgeda/configure.ac | \
+	awk -F= '{print $2}'`
+
+# Update dotted version
+libgeda_defines=libgeda/include/defines.h
+echo Updating $old_dottedversion to \"$new_dottedversion-\" in $libgeda_defines
+mv -f $libgeda_defines $libgeda_defines.orig 
+cat $libgeda_defines.orig | sed "s/#define PREPEND_VERSION_STRING $old_dottedversion/#define PREPEND_VERSION_STRING \"$new_dottedversion-\"/" > $libgeda_defines
+rm -f $libgeda_defines.orig 
+
+# Update dates 
+date_files="docs/configure.ac examples/configure.ac gattrib/configure.ac gnetlist/configure.ac gsymcheck/configure.ac libgeda/configure.ac symbols/configure.ac utils/configure.ac gschem/configure.ac.in"
+
+for i in $date_files
+do
+	echo Updating $old_date to $new_date in $i
+	mv -f $i $i.orig
+	cat $i.orig | sed "s/^VERSION=$old_date/VERSION=$new_date/" > $i
+	rm -f $i.orig
+done
+
+# Update shared library version
+libgeda_conf=libgeda/configure.ac
+echo Updating $old_sharedlibversion to $new_sharedlibversion in $libgeda_conf
+mv -f $libgeda_conf $libgeda_conf.orig2
+cat $libgeda_conf.orig2 | \
+	sed "s/^SHARED_LIBRARY_VERSION=$old_sharedlibversion/SHARED_LIBRARY_VERSION=$new_sharedlibversion/" > $libgeda_conf
+rm -f $libgeda_conf.orig2
+

commit 4d88805294a462674103a6b1a41aab153e08310a
Author: Ales Hvezda <ahvezda@xxxxxxxx>
Date:   Tue Jun 26 23:01:55 2007 -0400

    Updated gattrib's configure script to use standard gEDA/gaf VERSION= practices.

diff --git a/gattrib/configure.ac b/gattrib/configure.ac
index 6d373c2..9d56cd5 100644
--- a/gattrib/configure.ac
+++ b/gattrib/configure.ac
@@ -4,13 +4,11 @@ AC_CONFIG_SRCDIR([src/gattrib.c])
 AC_PREREQ(2.53)
 
 PACKAGE=geda-gattrib
-GEDA_VERSION=20070526
-GATTRIB_VERSION=20070526
-echo Configuring $PACKAGE version $GATTRIB_VERSION
-echo Part of gEDA version $GEDA_VERSION
+VERSION=20070526
+echo Configuring $PACKAGE version $VERSION
 
 # Initialize automake -- use base gEDA version here
-AM_INIT_AUTOMAKE($PACKAGE, $GEDA_VERSION)
+AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
 AM_CONFIG_HEADER([config.h])
 
 # Initialize maintainer mode
@@ -140,7 +138,7 @@ AM_CONDITIONAL(GTK24_SOURCE, test "$GLIB24" = "yes")
 ############################################################################
 # Check for libgeda start
 # 
-PKG_CHECK_MODULES(LIBGEDA, libgeda >= $GEDA_VERSION, LIBGEDA="yes", 
+PKG_CHECK_MODULES(LIBGEDA, libgeda >= $VERSION, LIBGEDA="yes", 
                   no_LIBGEDA="yes")
 
 if test "$LIBGEDA" = "yes" 
@@ -313,7 +311,7 @@ expandgedadatadir=`echo $gedatopdir`
 
 # this has to be expanded ( no ${prefix} ) --
 AC_DEFINE_UNQUOTED(GEDADATADIR, "$gedatopdir", [gEDA/gaf's data directory])
-AC_DEFINE_UNQUOTED(VERSION, "$GEDA_VERSION", [Currently running version of gEDA/gaf])
+AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Currently running version of gEDA/gaf])
 
 #
 # gEDA/gaf specify things which need to setup
@@ -347,10 +345,9 @@ expandedGEDADATADIR=`eval "echo $GEDADATADIR"`
 expandedGEDARCDIR=`eval "echo $GEDARCDIR"`
 
 AC_MSG_RESULT([
-***** Configuration summary for $PACKAGE $GATTRIB_VERSION *****
+***** Configuration summary for $PACKAGE VERSION *****
 
-== gattrib version:                  $GATTRIB_VERSION
-== base gEDA version:                $GEDA_VERSION
+== base gEDA version:                $VERSION
 == libgeda library version:          $LIBGEDA_VERSION
 == data directory:                   $expandedGEDADATADIR
 == rc directory:                     $expandedGEDARCDIR




_______________________________________________
geda-cvs mailing list
geda-cvs@xxxxxxxxxxxxxx
http://www.seul.org/cgi-bin/mailman/listinfo/geda-cvs